<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Get ServiceType
 * @subpackage Services
 */
class Get extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named GetVehicleHYBSInfo
     * Meta information extracted from the WSDL
     * - documentation: Cihazın hafriyat projesine dahil olup olmadığını bildirir. - Shows device is included in the excavation project. | Cihazın hafriyat projesine dahil olup olmadığını bildirir. - Shows device is included in the excavation
     * project. | Cihazın hafriyat projesine dahil olup olmadığını bildirir. - Shows device is included in the excavation project.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleHYBSInfo $parameters
     * @return \StructType\GetVehicleHYBSInfoResponse|bool
     */
    public function GetVehicleHYBSInfo(\StructType\GetVehicleHYBSInfo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleHYBSInfo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetLocalDateTime
     * Meta information extracted from the WSDL
     * - documentation: Kullanici yerel saat bilgisini gosterir. - Shows user local date time. | Kullanici yerel saat bilgisini gosterir. - Shows user local date time. | Kullanici yerel saat bilgisini gosterir. - Shows user local date time.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetLocalDateTime $parameters
     * @return \StructType\GetLocalDateTimeResponse|bool
     */
    public function GetLocalDateTime(\StructType\GetLocalDateTime $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetLocalDateTime($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetNodes
     * Meta information extracted from the WSDL
     * - documentation: Kullaniciya ait cihazlari listeler. - Lists devices that belongs to the user. | Kullaniciya ait cihazlari listeler. - Lists devices that belongs to the user. | Kullaniciya ait cihazlari listeler. - Lists devices that belongs to the
     * user.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetNodes $parameters
     * @return \StructType\GetNodesResponse|bool
     */
    public function GetNodes(\StructType\GetNodes $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetNodes($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetNodesReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Kullaniciya ait cihazlari listeler, GetNodes methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Lists devices that belongs to the user, returns the result as XmlDocument type. | Kullaniciya ait cihazlari listeler,
     * GetNodes methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Lists devices that belongs to the user, returns the result as XmlDocument type. | Kullaniciya ait cihazlari listeler, GetNodes methodundan farkli olarak sonucu XmlDocument
     * tipinde dondurur. - Lists devices that belongs to the user, returns the result as XmlDocument type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetNodesReturnObject $parameters
     * @return \StructType\GetNodesReturnObjectResponse|bool
     */
    public function GetNodesReturnObject(\StructType\GetNodesReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetNodesReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetGroups
     * Meta information extracted from the WSDL
     * - documentation: Kullaniciya ait tanimli arac gruplarini listeler. - List the groups which are defined to user. | Kullaniciya ait tanimli arac gruplarini listeler. - List the groups which are defined to user. | Kullaniciya ait tanimli arac gruplarini
     * listeler. - List the groups which are defined to user.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetGroups $parameters
     * @return \StructType\GetGroupsResponse|bool
     */
    public function GetGroups(\StructType\GetGroups $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetGroups($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetGroupsReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Kullaniciya ait tanimli arac gruplarini listeler. GetGroups methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - List the groups which are defined to user, returns the result as XmlDocument type. | Kullaniciya ait tanimli
     * arac gruplarini listeler. GetGroups methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - List the groups which are defined to user, returns the result as XmlDocument type. | Kullaniciya ait tanimli arac gruplarini listeler. GetGroups
     * methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - List the groups which are defined to user, returns the result as XmlDocument type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetGroupsReturnObject $parameters
     * @return \StructType\GetGroupsReturnObjectResponse|bool
     */
    public function GetGroupsReturnObject(\StructType\GetGroupsReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetGroupsReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetNearestNodes
     * Meta information extracted from the WSDL
     * - documentation: Bir bolgeye yakin cihazlari listeler. - Lists devices close to a region. | Bir bolgeye yakin cihazlari listeler. - Lists devices close to a region. | Bir bolgeye yakin cihazlari listeler. - Lists devices close to a region.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetNearestNodes $parameters
     * @return \StructType\GetNearestNodesResponse|bool
     */
    public function GetNearestNodes(\StructType\GetNearestNodes $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetNearestNodes($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetNearestNodesReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Bir bolgeye yakin cihazlari listeler. GetNearestNodes methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Lists devices close to a region, returns the result as XmlDocument type. | Bir bolgeye yakin cihazlari listeler.
     * GetNearestNodes methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Lists devices close to a region, returns the result as XmlDocument type. | Bir bolgeye yakin cihazlari listeler. GetNearestNodes methodundan farkli olarak sonucu
     * XmlDocument tipinde dondurur. - Lists devices close to a region, returns the result as XmlDocument type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetNearestNodesReturnObject $parameters
     * @return \StructType\GetNearestNodesReturnObjectResponse|bool
     */
    public function GetNearestNodesReturnObject(\StructType\GetNearestNodesReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetNearestNodesReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetIMSIList
     * Meta information extracted from the WSDL
     * - documentation: Cihazlara takilan hatlarin IMSI bilgisini listeler. - Lists the IMSI information of the sim cards inserted to the devices. | Cihazlara takilan hatlarin IMSI bilgisini listeler. - Lists the IMSI information of the sim cards inserted
     * to the devices. | Cihazlara takilan hatlarin IMSI bilgisini listeler. - Lists the IMSI information of the sim cards inserted to the devices.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetIMSIList $parameters
     * @return \StructType\GetIMSIListResponse|bool
     */
    public function GetIMSIList(\StructType\GetIMSIList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetIMSIList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetIMSIListReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Cihazlara takilan hatlarin IMSI bilgisini listeler. GetIMSIList methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Lists the IMSI information of the sim cards inserted to the devices, returns the result as XmlDocument
     * type. | Cihazlara takilan hatlarin IMSI bilgisini listeler. GetIMSIList methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Lists the IMSI information of the sim cards inserted to the devices, returns the result as XmlDocument type. |
     * Cihazlara takilan hatlarin IMSI bilgisini listeler. GetIMSIList methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Lists the IMSI information of the sim cards inserted to the devices, returns the result as XmlDocument type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetIMSIListReturnObject $parameters
     * @return \StructType\GetIMSIListReturnObjectResponse|bool
     */
    public function GetIMSIListReturnObject(\StructType\GetIMSIListReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetIMSIListReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetLicensePlateFromNode
     * Meta information extracted from the WSDL
     * - documentation: Cihaz ile eslesmis plaka bilgisini gosterir. - Lists device id- vehicle matchings. | Cihaz ile eslesmis plaka bilgisini gosterir. - Lists device id- vehicle matchings. | Cihaz ile eslesmis plaka bilgisini gosterir. - Lists device id-
     * vehicle matchings.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetLicensePlateFromNode $parameters
     * @return \StructType\GetLicensePlateFromNodeResponse|bool
     */
    public function GetLicensePlateFromNode(\StructType\GetLicensePlateFromNode $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetLicensePlateFromNode($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetNodeFromLicensePlate
     * Meta information extracted from the WSDL
     * - documentation: Arac ile eslesmis cihaz bilgisini gosterir. - Shows device id-crew matchings. | Arac ile eslesmis cihaz bilgisini gosterir. - Shows device id-crew matchings. | Arac ile eslesmis cihaz bilgisini gosterir. - Shows device id-crew
     * matchings.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetNodeFromLicensePlate $parameters
     * @return \StructType\GetNodeFromLicensePlateResponse|bool
     */
    public function GetNodeFromLicensePlate(\StructType\GetNodeFromLicensePlate $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetNodeFromLicensePlate($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetTrailerIdFromLicensePlate
     * Meta information extracted from the WSDL
     * - documentation: Arac ile eslesmis dorse bilgisini gosterir. - Shows trailer id-crew matchings. | Arac ile eslesmis dorse bilgisini gosterir. - Shows trailer id-crew matchings. | Arac ile eslesmis dorse bilgisini gosterir. - Shows trailer id-crew
     * matchings.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetTrailerIdFromLicensePlate $parameters
     * @return \StructType\GetTrailerIdFromLicensePlateResponse|bool
     */
    public function GetTrailerIdFromLicensePlate(\StructType\GetTrailerIdFromLicensePlate $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetTrailerIdFromLicensePlate($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetLicensePlateNodeMappings
     * Meta information extracted from the WSDL
     * - documentation: Arac cihaz eslestirmelerini listeler. - Lists device id-vehicle matchings. | Arac cihaz eslestirmelerini listeler. - Lists device id-vehicle matchings. | Arac cihaz eslestirmelerini listeler. - Lists device id-vehicle matchings.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetLicensePlateNodeMappings $parameters
     * @return \StructType\GetLicensePlateNodeMappingsResponse|bool
     */
    public function GetLicensePlateNodeMappings(\StructType\GetLicensePlateNodeMappings $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetLicensePlateNodeMappings($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * GetLicensePlateNodeMappingsReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Arac cihaz eslestirmelerini listeler. - Lists device id-vehicle matchings. | Arac cihaz eslestirmelerini listeler. - Lists device id-vehicle matchings. | Arac cihaz eslestirmelerini listeler. - Lists device id-vehicle matchings.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetLicensePlateNodeMappingsReturnObject $parameters
     * @return \StructType\GetLicensePlateNodeMappingsReturnObjectResponse|bool
     */
    public function GetLicensePlateNodeMappingsReturnObject(\StructType\GetLicensePlateNodeMappingsReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetLicensePlateNodeMappingsReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetDriverFromNode
     * Meta information extracted from the WSDL
     * - documentation: Cihaz surucu bilgisini gosterir. - Shows driver informations which is matched with device. | Cihaz surucu bilgisini gosterir. - Shows driver informations which is matched with device. | Cihaz surucu bilgisini gosterir. - Shows driver
     * informations which is matched with device.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetDriverFromNode $parameters
     * @return \StructType\GetDriverFromNodeResponse|bool
     */
    public function GetDriverFromNode(\StructType\GetDriverFromNode $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetDriverFromNode($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetNodeFromDriver
     * Meta information extracted from the WSDL
     * - documentation: Surucu ile eslesmis cihaz bilgisini gosterir. - Shows device id-crew matchings. | Surucu ile eslesmis cihaz bilgisini gosterir. - Shows device id-crew matchings. | Surucu ile eslesmis cihaz bilgisini gosterir. - Shows device id-crew
     * matchings.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetNodeFromDriver $parameters
     * @return \StructType\GetNodeFromDriverResponse|bool
     */
    public function GetNodeFromDriver(\StructType\GetNodeFromDriver $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetNodeFromDriver($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetDriverNodeMappings
     * Meta information extracted from the WSDL
     * - documentation: Sistemde tanimlanmis surucu cihaz eslesmelerini listeler. - List driver-device matchings which is defined on software. | Sistemde tanimlanmis surucu cihaz eslesmelerini listeler. - List driver-device matchings which is defined on
     * software. | Sistemde tanimlanmis surucu cihaz eslesmelerini listeler. - List driver-device matchings which is defined on software.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetDriverNodeMappings $parameters
     * @return \StructType\GetDriverNodeMappingsResponse|bool
     */
    public function GetDriverNodeMappings(\StructType\GetDriverNodeMappings $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetDriverNodeMappings($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetDriverNodeMappingsReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Sistemde tanimlanmis surucu cihaz eslesmelerini listeler. GetLicensePlateNodeMappings methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - List driver-device matchings which is defined on software , returns the result as
     * XmlDocument type. | Sistemde tanimlanmis surucu cihaz eslesmelerini listeler. GetLicensePlateNodeMappings methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - List driver-device matchings which is defined on software , returns the result
     * as XmlDocument type. | Sistemde tanimlanmis surucu cihaz eslesmelerini listeler. GetLicensePlateNodeMappings methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - List driver-device matchings which is defined on software , returns the
     * result as XmlDocument type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetDriverNodeMappingsReturnObject $parameters
     * @return \StructType\GetDriverNodeMappingsReturnObjectResponse|bool
     */
    public function GetDriverNodeMappingsReturnObject(\StructType\GetDriverNodeMappingsReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetDriverNodeMappingsReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetCrewFromNode
     * Meta information extracted from the WSDL
     * - documentation: Cihazla arayuz uzerinden eslestirilmis ekip bilgisini gosterir. - Shows crew informations which is matched with device from software. | Cihazla arayuz uzerinden eslestirilmis ekip bilgisini gosterir. - Shows crew informations which
     * is matched with device from software. | Cihazla arayuz uzerinden eslestirilmis ekip bilgisini gosterir. - Shows crew informations which is matched with device from software.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetCrewFromNode $parameters
     * @return \StructType\GetCrewFromNodeResponse|bool
     */
    public function GetCrewFromNode(\StructType\GetCrewFromNode $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetCrewFromNode($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetNodeFromCrew
     * Meta information extracted from the WSDL
     * - documentation: Ekip ile eslesmis cihaz bilgisini gosterir. - Shows device id-crew matchings | Ekip ile eslesmis cihaz bilgisini gosterir. - Shows device id-crew matchings | Ekip ile eslesmis cihaz bilgisini gosterir. - Shows device id-crew
     * matchings
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetNodeFromCrew $parameters
     * @return \StructType\GetNodeFromCrewResponse|bool
     */
    public function GetNodeFromCrew(\StructType\GetNodeFromCrew $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetNodeFromCrew($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleInfo
     * Meta information extracted from the WSDL
     * - documentation: Sistemde tanimlanmis tum araclari listeler. - Lists all the vehicles defined in the system. | Sistemde tanimlanmis tum araclari listeler. - Lists all the vehicles defined in the system. | Sistemde tanimlanmis tum araclari listeler. -
     * Lists all the vehicles defined in the system.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleInfo $parameters
     * @return \StructType\GetVehicleInfoResponse|bool
     */
    public function GetVehicleInfo(\StructType\GetVehicleInfo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleInfo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleInfoReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Sistemde tanimlanmis tum araclari listeler. GetVehicleInfo methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Lists all the vehicles defined in the system, returns the result as XmlDocument type. | Sistemde tanimlanmis
     * tum araclari listeler. GetVehicleInfo methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Lists all the vehicles defined in the system, returns the result as XmlDocument type. | Sistemde tanimlanmis tum araclari listeler. GetVehicleInfo
     * methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Lists all the vehicles defined in the system, returns the result as XmlDocument type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleInfoReturnObject $parameters
     * @return \StructType\GetVehicleInfoReturnObjectResponse|bool
     */
    public function GetVehicleInfoReturnObject(\StructType\GetVehicleInfoReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleInfoReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetDriverInfo
     * Meta information extracted from the WSDL
     * - documentation: Sistemde tanimlanmis tum suruculeri listeler. - Lists all the drivers defined in the system. | Sistemde tanimlanmis tum suruculeri listeler. - Lists all the drivers defined in the system. | Sistemde tanimlanmis tum suruculeri
     * listeler. - Lists all the drivers defined in the system.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetDriverInfo $parameters
     * @return \StructType\GetDriverInfoResponse|bool
     */
    public function GetDriverInfo(\StructType\GetDriverInfo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetDriverInfo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetDriverInfoReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Sistemde tanimlanmis tum suruculeri listeler. GetDriverInfo methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Lists all the drivers defined in the system, returns the result as XmlDocument type. | Sistemde tanimlanmis
     * tum suruculeri listeler. GetDriverInfo methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Lists all the drivers defined in the system, returns the result as XmlDocument type. | Sistemde tanimlanmis tum suruculeri listeler. GetDriverInfo
     * methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Lists all the drivers defined in the system, returns the result as XmlDocument type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetDriverInfoReturnObject $parameters
     * @return \StructType\GetDriverInfoReturnObjectResponse|bool
     */
    public function GetDriverInfoReturnObject(\StructType\GetDriverInfoReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetDriverInfoReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleStatusByNode
     * Meta information extracted from the WSDL
     * - documentation: Kullaniciya tanimli tum araclarin son konum bilgilerinin listesini olusturur. - Creates a list of recent location information for all user-defined vehicles. | Kullaniciya tanimli tum araclarin son konum bilgilerinin listesini
     * olusturur. - Creates a list of recent location information for all user-defined vehicles. | Kullaniciya tanimli tum araclarin son konum bilgilerinin listesini olusturur. - Creates a list of recent location information for all user-defined vehicles.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleStatusByNode $parameters
     * @return \StructType\GetVehicleStatusByNodeResponse|bool
     */
    public function GetVehicleStatusByNode(\StructType\GetVehicleStatusByNode $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleStatusByNode($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleStatusByNodeReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Kullaniciya tanimli tum araclarin son konum bilgilerinin listesini olusturur. GetVehicleStatusByNode methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Creates a list of recent location information for all user-defined
     * vehicles, returns the result as XmlDocument type. | Kullaniciya tanimli tum araclarin son konum bilgilerinin listesini olusturur. GetVehicleStatusByNode methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Creates a list of recent
     * location information for all user-defined vehicles, returns the result as XmlDocument type. | Kullaniciya tanimli tum araclarin son konum bilgilerinin listesini olusturur. GetVehicleStatusByNode methodundan farkli olarak sonucu XmlDocument tipinde
     * dondurur. - Creates a list of recent location information for all user-defined vehicles, returns the result as XmlDocument type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleStatusByNodeReturnObject $parameters
     * @return \StructType\GetVehicleStatusByNodeReturnObjectResponse|bool
     */
    public function GetVehicleStatusByNodeReturnObject(\StructType\GetVehicleStatusByNodeReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleStatusByNodeReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleStatus
     * Meta information extracted from the WSDL
     * - documentation: Kullaniciya tanimli tum araclarin son konum bilgilerinin listesini olusturur. - Creates a list of recent location information for all user-defined vehicles. | Kullaniciya tanimli tum araclarin son konum bilgilerinin listesini
     * olusturur. - Creates a list of recent location information for all user-defined vehicles. | Kullaniciya tanimli tum araclarin son konum bilgilerinin listesini olusturur. - Creates a list of recent location information for all user-defined vehicles.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleStatus $parameters
     * @return \StructType\GetVehicleStatusResponse|bool
     */
    public function GetVehicleStatus(\StructType\GetVehicleStatus $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleStatus($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleStatusReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Kullaniciya tanimli tum araclarin son konum bilgilerinin listesini olusturur. Sonucu XmlDocument tipinde dondurur. - Creates a list of recent location information for all user-defined vehicles. Result returned as XmlDocument type. |
     * Kullaniciya tanimli tum araclarin son konum bilgilerinin listesini olusturur. Sonucu XmlDocument tipinde dondurur. - Creates a list of recent location information for all user-defined vehicles. Result returned as XmlDocument type. | Kullaniciya
     * tanimli tum araclarin son konum bilgilerinin listesini olusturur. Sonucu XmlDocument tipinde dondurur. - Creates a list of recent location information for all user-defined vehicles. Result returned as XmlDocument type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleStatusReturnObject $parameters
     * @return \StructType\GetVehicleStatusReturnObjectResponse|bool
     */
    public function GetVehicleStatusReturnObject(\StructType\GetVehicleStatusReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleStatusReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleStatusWithCourse
     * Meta information extracted from the WSDL
     * - documentation: Kullaniciya tanimli tum araclarin son konum bilgilerinin listesini olusturur. Araclarin konum bilgileriyle beraber aci bilgileri de verilir. - Creates a list of recent location information for all user-defined vehicles. The course
     * information is given along with the location information of the vehicles. | Kullaniciya tanimli tum araclarin son konum bilgilerinin listesini olusturur. Araclarin konum bilgileriyle beraber aci bilgileri de verilir. - Creates a list of recent
     * location information for all user-defined vehicles. The course information is given along with the location information of the vehicles. | Kullaniciya tanimli tum araclarin son konum bilgilerinin listesini olusturur. Araclarin konum bilgileriyle
     * beraber aci bilgileri de verilir. - Creates a list of recent location information for all user-defined vehicles. The course information is given along with the location information of the vehicles.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleStatusWithCourse $parameters
     * @return \StructType\GetVehicleStatusWithCourseResponse|bool
     */
    public function GetVehicleStatusWithCourse(\StructType\GetVehicleStatusWithCourse $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleStatusWithCourse($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * GetVehicleStatusWithCourseReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Kullaniciya tanimli tum araclarin son konum bilgilerinin listesini olusturur. GetVehicleStatusWithCourse methodundan farkli olarak sonucu XmlDocument tipinde dondurur. Araclarin konum bilgileriyle beraber aci bilgileri de verilir. -
     * Creates a list of recent location information for all user-defined vehicles. The course information is given along with the location information of the vehicles, returns the result as XmlDocument type. | Kullaniciya tanimli tum araclarin son konum
     * bilgilerinin listesini olusturur. GetVehicleStatusWithCourse methodundan farkli olarak sonucu XmlDocument tipinde dondurur. Araclarin konum bilgileriyle beraber aci bilgileri de verilir. - Creates a list of recent location information for all
     * user-defined vehicles. The course information is given along with the location information of the vehicles, returns the result as XmlDocument type. | Kullaniciya tanimli tum araclarin son konum bilgilerinin listesini olusturur.
     * GetVehicleStatusWithCourse methodundan farkli olarak sonucu XmlDocument tipinde dondurur. Araclarin konum bilgileriyle beraber aci bilgileri de verilir. - Creates a list of recent location information for all user-defined vehicles. The course
     * information is given along with the location information of the vehicles, returns the result as XmlDocument type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleStatusWithCourseReturnObject $parameters
     * @return \StructType\GetVehicleStatusWithCourseReturnObjectResponse|bool
     */
    public function GetVehicleStatusWithCourseReturnObject(\StructType\GetVehicleStatusWithCourseReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleStatusWithCourseReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleStatusV4
     * Meta information extracted from the WSDL
     * - documentation: Araclarin son konum bilgisini gosterir. - Shows the last position information of the vehicle. | Araclarin son konum bilgisini gosterir. - Shows the last position information of the vehicle. | Araclarin son konum bilgisini gosterir. -
     * Shows the last position information of the vehicle.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleStatusV4 $parameters
     * @return \StructType\GetVehicleStatusV4Response|bool
     */
    public function GetVehicleStatusV4(\StructType\GetVehicleStatusV4 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleStatusV4($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleStatusV3
     * Meta information extracted from the WSDL
     * - documentation: Araclarin son konum bilgisini gosterir. - Shows the last position information of the vehicle. | Araclarin son konum bilgisini gosterir. - Shows the last position information of the vehicle. | Araclarin son konum bilgisini gosterir. -
     * Shows the last position information of the vehicle.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleStatusV3 $parameters
     * @return \StructType\GetVehicleStatusV3Response|bool
     */
    public function GetVehicleStatusV3(\StructType\GetVehicleStatusV3 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleStatusV3($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleStatusByNodeV3
     * Meta information extracted from the WSDL
     * - documentation: Aracin son konum bilgisini gosterir. - Shows the last position information of the vehicle. | Aracin son konum bilgisini gosterir. - Shows the last position information of the vehicle. | Aracin son konum bilgisini gosterir. - Shows
     * the last position information of the vehicle.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleStatusByNodeV3 $parameters
     * @return \StructType\GetVehicleStatusByNodeV3Response|bool
     */
    public function GetVehicleStatusByNodeV3(\StructType\GetVehicleStatusByNodeV3 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleStatusByNodeV3($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleStatusV2
     * Meta information extracted from the WSDL
     * - documentation: Araclarin son konum bilgisini gosterir. - Shows the last position information of the vehicle. | Araclarin son konum bilgisini gosterir. - Shows the last position information of the vehicle. | Araclarin son konum bilgisini gosterir. -
     * Shows the last position information of the vehicle.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleStatusV2 $parameters
     * @return \StructType\GetVehicleStatusV2Response|bool
     */
    public function GetVehicleStatusV2(\StructType\GetVehicleStatusV2 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleStatusV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleStatusV2ReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Araclarin son konum bilgisini gosterir. GetVehicleStatusV2 methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Shows the last position information of the vehicle, returns the result as XmlDocument type. | Araclarin son
     * konum bilgisini gosterir. GetVehicleStatusV2 methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Shows the last position information of the vehicle, returns the result as XmlDocument type. | Araclarin son konum bilgisini gosterir.
     * GetVehicleStatusV2 methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Shows the last position information of the vehicle, returns the result as XmlDocument type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleStatusV2ReturnObject $parameters
     * @return \StructType\GetVehicleStatusV2ReturnObjectResponse|bool
     */
    public function GetVehicleStatusV2ReturnObject(\StructType\GetVehicleStatusV2ReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleStatusV2ReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleStatusJSON
     * Meta information extracted from the WSDL
     * - documentation: Araclarin son konum bilgisini gosterir. JSON formatinda doner. - Shows the last position information of the vehicles. Returns in JSON format. | Araclarin son konum bilgisini gosterir. JSON formatinda doner. - Shows the last position
     * information of the vehicles. Returns in JSON format. | Araclarin son konum bilgisini gosterir. JSON formatinda doner. - Shows the last position information of the vehicles. Returns in JSON format.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleStatusJSON $parameters
     * @return \StructType\GetVehicleStatusJSONResponse|bool
     */
    public function GetVehicleStatusJSON(\StructType\GetVehicleStatusJSON $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleStatusJSON($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleAlarmStatus
     * Meta information extracted from the WSDL
     * - documentation: Kullaniciya tanimli tum araclarin son alarm bilgilerinin listesini olusturur. - Creates a list of recent alarm information for all vehicles which are defined to the user. | Kullaniciya tanimli tum araclarin son alarm bilgilerinin
     * listesini olusturur. - Creates a list of recent alarm information for all vehicles which are defined to the user. | Kullaniciya tanimli tum araclarin son alarm bilgilerinin listesini olusturur. - Creates a list of recent alarm information for all
     * vehicles which are defined to the user.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleAlarmStatus $parameters
     * @return \StructType\GetVehicleAlarmStatusResponse|bool
     */
    public function GetVehicleAlarmStatus(\StructType\GetVehicleAlarmStatus $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleAlarmStatus($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleAlarmStatusReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Kullaniciya tanimli tum araclarin son alarm bilgilerinin listesini olusturur. GetVehicleAlarmStatus methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Creates a list of recent alarm information for all vehicles which
     * are defined to the user, returns the result as XmlDocument type. | Kullaniciya tanimli tum araclarin son alarm bilgilerinin listesini olusturur. GetVehicleAlarmStatus methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Creates a list of
     * recent alarm information for all vehicles which are defined to the user, returns the result as XmlDocument type. | Kullaniciya tanimli tum araclarin son alarm bilgilerinin listesini olusturur. GetVehicleAlarmStatus methodundan farkli olarak sonucu
     * XmlDocument tipinde dondurur. - Creates a list of recent alarm information for all vehicles which are defined to the user, returns the result as XmlDocument type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleAlarmStatusReturnObject $parameters
     * @return \StructType\GetVehicleAlarmStatusReturnObjectResponse|bool
     */
    public function GetVehicleAlarmStatusReturnObject(\StructType\GetVehicleAlarmStatusReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleAlarmStatusReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleAlarmStatusJson
     * Meta information extracted from the WSDL
     * - documentation: Kullaniciya tanimli tum araclarin son alarm bilgilerinin listesini olusturur. JSON formatinda doner. - Creates a list of recent alarm information for all vehicles which are defined to the user. Returns in JSON format. | Kullaniciya
     * tanimli tum araclarin son alarm bilgilerinin listesini olusturur. JSON formatinda doner. - Creates a list of recent alarm information for all vehicles which are defined to the user. Returns in JSON format. | Kullaniciya tanimli tum araclarin son
     * alarm bilgilerinin listesini olusturur. JSON formatinda doner. - Creates a list of recent alarm information for all vehicles which are defined to the user. Returns in JSON format.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleAlarmStatusJson $parameters
     * @return \StructType\GetVehicleAlarmStatusJsonResponse|bool
     */
    public function GetVehicleAlarmStatusJson(\StructType\GetVehicleAlarmStatusJson $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleAlarmStatusJson($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetVehicleAlarmStatusV2
     * Meta information extracted from the WSDL
     * - documentation: Butun araclardan gelen son alarm bilgilerinin listesini olusturur. - Generates a list of the latest alarms from all vehicles. | Butun araclardan gelen son alarm bilgilerinin listesini olusturur. - Generates a list of the latest
     * alarms from all vehicles. | Butun araclardan gelen son alarm bilgilerinin listesini olusturur. - Generates a list of the latest alarms from all vehicles.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleAlarmStatusV2 $parameters
     * @return \StructType\GetVehicleAlarmStatusV2Response|bool
     */
    public function GetVehicleAlarmStatusV2(\StructType\GetVehicleAlarmStatusV2 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleAlarmStatusV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * GetVehicleAlarmStatusV2ReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Butun araclardan gelen son alarm bilgilerinin listesini olusturur. GetVehicleAlarmStatusV2 methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Generates a list of the latest alarms from all vehicles, returns the result
     * as XmlDocument type. | Butun araclardan gelen son alarm bilgilerinin listesini olusturur. GetVehicleAlarmStatusV2 methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Generates a list of the latest alarms from all vehicles, returns the
     * result as XmlDocument type. | Butun araclardan gelen son alarm bilgilerinin listesini olusturur. GetVehicleAlarmStatusV2 methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Generates a list of the latest alarms from all vehicles, returns
     * the result as XmlDocument type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehicleAlarmStatusV2ReturnObject $parameters
     * @return \StructType\GetVehicleAlarmStatusV2ReturnObjectResponse|bool
     */
    public function GetVehicleAlarmStatusV2ReturnObject(\StructType\GetVehicleAlarmStatusV2ReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetVehicleAlarmStatusV2ReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\GetCrewFromNodeResponse|\StructType\GetDriverFromNodeResponse|\StructType\GetDriverInfoResponse|\StructType\GetDriverInfoReturnObjectResponse|\StructType\GetDriverNodeMappingsResponse|\StructType\GetDriverNodeMappingsReturnObjectResponse|\StructType\GetGroupsResponse|\StructType\GetGroupsReturnObjectResponse|\StructType\GetIMSIListResponse|\StructType\GetIMSIListReturnObjectResponse|\StructType\GetLicensePlateFromNodeResponse|\StructType\GetLicensePlateNodeMappingsResponse|\StructType\GetLicensePlateNodeMappingsReturnObjectResponse|\StructType\GetLocalDateTimeResponse|\StructType\GetNearestNodesResponse|\StructType\GetNearestNodesReturnObjectResponse|\StructType\GetNodeFromCrewResponse|\StructType\GetNodeFromDriverResponse|\StructType\GetNodeFromLicensePlateResponse|\StructType\GetNodesResponse|\StructType\GetNodesReturnObjectResponse|\StructType\GetTrailerIdFromLicensePlateResponse|\StructType\GetVehicleAlarmStatusJsonResponse|\StructType\GetVehicleAlarmStatusResponse|\StructType\GetVehicleAlarmStatusReturnObjectResponse|\StructType\GetVehicleAlarmStatusV2Response|\StructType\GetVehicleAlarmStatusV2ReturnObjectResponse|\StructType\GetVehicleHYBSInfoResponse|\StructType\GetVehicleInfoResponse|\StructType\GetVehicleInfoReturnObjectResponse|\StructType\GetVehicleStatusByNodeResponse|\StructType\GetVehicleStatusByNodeReturnObjectResponse|\StructType\GetVehicleStatusByNodeV3Response|\StructType\GetVehicleStatusJSONResponse|\StructType\GetVehicleStatusResponse|\StructType\GetVehicleStatusReturnObjectResponse|\StructType\GetVehicleStatusV2Response|\StructType\GetVehicleStatusV2ReturnObjectResponse|\StructType\GetVehicleStatusV3Response|\StructType\GetVehicleStatusV4Response|\StructType\GetVehicleStatusWithCourseResponse|\StructType\GetVehicleStatusWithCourseReturnObjectResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
