<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the first needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientBase class (each generated ServiceType class extends this class)
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'http://ws.arvento.com/v1/report.asmx?WSDL',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc...
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'http://ws.arvento.com/v1/report.asmx?WSDL',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => ClassMap::get(),
);
/**
 * Samples for Vehicle ServiceType
 */
$vehicle = new \ServiceType\Vehicle($options);
/**
 * Sample call for VehicleDailyStatusReport operation/method
 */
if ($vehicle->VehicleDailyStatusReport(new \StructType\VehicleDailyStatusReport()) !== false) {
    print_r($vehicle->getResult());
} else {
    print_r($vehicle->getLastError());
}
/**
 * Sample call for VehicleProgramReport operation/method
 */
if ($vehicle->VehicleProgramReport(new \StructType\VehicleProgramReport()) !== false) {
    print_r($vehicle->getResult());
} else {
    print_r($vehicle->getLastError());
}
/**
 * Sample call for VehicleProgramReportReturnObject operation/method
 */
if ($vehicle->VehicleProgramReportReturnObject(new \StructType\VehicleProgramReportReturnObject()) !== false) {
    print_r($vehicle->getResult());
} else {
    print_r($vehicle->getLastError());
}
/**
 * Sample call for VehicleOperatingReport operation/method
 */
if ($vehicle->VehicleOperatingReport(new \StructType\VehicleOperatingReport()) !== false) {
    print_r($vehicle->getResult());
} else {
    print_r($vehicle->getLastError());
}
/**
 * Sample call for VehicleOperatingReportReturnObject operation/method
 */
if ($vehicle->VehicleOperatingReportReturnObject(new \StructType\VehicleOperatingReportReturnObject()) !== false) {
    print_r($vehicle->getResult());
} else {
    print_r($vehicle->getLastError());
}
/**
 * Sample call for VehicleOperatingReport2 operation/method
 */
if ($vehicle->VehicleOperatingReport2(new \StructType\VehicleOperatingReport2()) !== false) {
    print_r($vehicle->getResult());
} else {
    print_r($vehicle->getLastError());
}
/**
 * Sample call for VehicleOperatingReport2ReturnObject operation/method
 */
if ($vehicle->VehicleOperatingReport2ReturnObject(new \StructType\VehicleOperatingReport2ReturnObject()) !== false) {
    print_r($vehicle->getResult());
} else {
    print_r($vehicle->getLastError());
}
/**
 * Sample call for VehicleDistanceReport operation/method
 */
if ($vehicle->VehicleDistanceReport(new \StructType\VehicleDistanceReport()) !== false) {
    print_r($vehicle->getResult());
} else {
    print_r($vehicle->getLastError());
}
/**
 * Sample call for VehicleDistanceReportReturnObject operation/method
 */
if ($vehicle->VehicleDistanceReportReturnObject(new \StructType\VehicleDistanceReportReturnObject()) !== false) {
    print_r($vehicle->getResult());
} else {
    print_r($vehicle->getLastError());
}
/**
 * Sample call for VehicleDistanceReport2 operation/method
 */
if ($vehicle->VehicleDistanceReport2(new \StructType\VehicleDistanceReport2()) !== false) {
    print_r($vehicle->getResult());
} else {
    print_r($vehicle->getLastError());
}
/**
 * Sample call for VehicleDistanceReport2ReturnObject operation/method
 */
if ($vehicle->VehicleDistanceReport2ReturnObject(new \StructType\VehicleDistanceReport2ReturnObject()) !== false) {
    print_r($vehicle->getResult());
} else {
    print_r($vehicle->getLastError());
}
/**
 * Sample call for VehicleLastStateReport operation/method
 */
if ($vehicle->VehicleLastStateReport(new \StructType\VehicleLastStateReport()) !== false) {
    print_r($vehicle->getResult());
} else {
    print_r($vehicle->getLastError());
}
/**
 * Sample call for VehicleLastStateReportReturnObject operation/method
 */
if ($vehicle->VehicleLastStateReportReturnObject(new \StructType\VehicleLastStateReportReturnObject()) !== false) {
    print_r($vehicle->getResult());
} else {
    print_r($vehicle->getLastError());
}
/**
 * Sample call for VehicleLastStateReport2 operation/method
 */
if ($vehicle->VehicleLastStateReport2(new \StructType\VehicleLastStateReport2()) !== false) {
    print_r($vehicle->getResult());
} else {
    print_r($vehicle->getLastError());
}
/**
 * Sample call for VehicleLastStateReport2ReturnObject operation/method
 */
if ($vehicle->VehicleLastStateReport2ReturnObject(new \StructType\VehicleLastStateReport2ReturnObject()) !== false) {
    print_r($vehicle->getResult());
} else {
    print_r($vehicle->getLastError());
}
/**
 * Samples for Driver ServiceType
 */
$driver = new \ServiceType\Driver($options);
/**
 * Sample call for DriverInformation operation/method
 */
if ($driver->DriverInformation(new \StructType\DriverInformation()) !== false) {
    print_r($driver->getResult());
} else {
    print_r($driver->getLastError());
}
/**
 * Sample call for DriverInformationReturnObject operation/method
 */
if ($driver->DriverInformationReturnObject(new \StructType\DriverInformationReturnObject()) !== false) {
    print_r($driver->getResult());
} else {
    print_r($driver->getLastError());
}
/**
 * Samples for Get ServiceType
 */
$get = new \ServiceType\Get($options);
/**
 * Sample call for GetVehicleHYBSInfo operation/method
 */
if ($get->GetVehicleHYBSInfo(new \StructType\GetVehicleHYBSInfo()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetLocalDateTime operation/method
 */
if ($get->GetLocalDateTime(new \StructType\GetLocalDateTime()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetNodes operation/method
 */
if ($get->GetNodes(new \StructType\GetNodes()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetNodesReturnObject operation/method
 */
if ($get->GetNodesReturnObject(new \StructType\GetNodesReturnObject()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetGroups operation/method
 */
if ($get->GetGroups(new \StructType\GetGroups()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetGroupsReturnObject operation/method
 */
if ($get->GetGroupsReturnObject(new \StructType\GetGroupsReturnObject()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetNearestNodes operation/method
 */
if ($get->GetNearestNodes(new \StructType\GetNearestNodes()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetNearestNodesReturnObject operation/method
 */
if ($get->GetNearestNodesReturnObject(new \StructType\GetNearestNodesReturnObject()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetIMSIList operation/method
 */
if ($get->GetIMSIList(new \StructType\GetIMSIList()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetIMSIListReturnObject operation/method
 */
if ($get->GetIMSIListReturnObject(new \StructType\GetIMSIListReturnObject()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetLicensePlateFromNode operation/method
 */
if ($get->GetLicensePlateFromNode(new \StructType\GetLicensePlateFromNode()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetNodeFromLicensePlate operation/method
 */
if ($get->GetNodeFromLicensePlate(new \StructType\GetNodeFromLicensePlate()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetTrailerIdFromLicensePlate operation/method
 */
if ($get->GetTrailerIdFromLicensePlate(new \StructType\GetTrailerIdFromLicensePlate()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetLicensePlateNodeMappings operation/method
 */
if ($get->GetLicensePlateNodeMappings(new \StructType\GetLicensePlateNodeMappings()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetLicensePlateNodeMappingsReturnObject operation/method
 */
if ($get->GetLicensePlateNodeMappingsReturnObject(new \StructType\GetLicensePlateNodeMappingsReturnObject()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetDriverFromNode operation/method
 */
if ($get->GetDriverFromNode(new \StructType\GetDriverFromNode()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetNodeFromDriver operation/method
 */
if ($get->GetNodeFromDriver(new \StructType\GetNodeFromDriver()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetDriverNodeMappings operation/method
 */
if ($get->GetDriverNodeMappings(new \StructType\GetDriverNodeMappings()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetDriverNodeMappingsReturnObject operation/method
 */
if ($get->GetDriverNodeMappingsReturnObject(new \StructType\GetDriverNodeMappingsReturnObject()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetCrewFromNode operation/method
 */
if ($get->GetCrewFromNode(new \StructType\GetCrewFromNode()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetNodeFromCrew operation/method
 */
if ($get->GetNodeFromCrew(new \StructType\GetNodeFromCrew()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleInfo operation/method
 */
if ($get->GetVehicleInfo(new \StructType\GetVehicleInfo()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleInfoReturnObject operation/method
 */
if ($get->GetVehicleInfoReturnObject(new \StructType\GetVehicleInfoReturnObject()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetDriverInfo operation/method
 */
if ($get->GetDriverInfo(new \StructType\GetDriverInfo()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetDriverInfoReturnObject operation/method
 */
if ($get->GetDriverInfoReturnObject(new \StructType\GetDriverInfoReturnObject()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleStatusByNode operation/method
 */
if ($get->GetVehicleStatusByNode(new \StructType\GetVehicleStatusByNode()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleStatusByNodeReturnObject operation/method
 */
if ($get->GetVehicleStatusByNodeReturnObject(new \StructType\GetVehicleStatusByNodeReturnObject()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleStatus operation/method
 */
if ($get->GetVehicleStatus(new \StructType\GetVehicleStatus()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleStatusReturnObject operation/method
 */
if ($get->GetVehicleStatusReturnObject(new \StructType\GetVehicleStatusReturnObject()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleStatusWithCourse operation/method
 */
if ($get->GetVehicleStatusWithCourse(new \StructType\GetVehicleStatusWithCourse()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleStatusWithCourseReturnObject operation/method
 */
if ($get->GetVehicleStatusWithCourseReturnObject(new \StructType\GetVehicleStatusWithCourseReturnObject()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleStatusV4 operation/method
 */
if ($get->GetVehicleStatusV4(new \StructType\GetVehicleStatusV4()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleStatusV3 operation/method
 */
if ($get->GetVehicleStatusV3(new \StructType\GetVehicleStatusV3()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleStatusByNodeV3 operation/method
 */
if ($get->GetVehicleStatusByNodeV3(new \StructType\GetVehicleStatusByNodeV3()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleStatusV2 operation/method
 */
if ($get->GetVehicleStatusV2(new \StructType\GetVehicleStatusV2()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleStatusV2ReturnObject operation/method
 */
if ($get->GetVehicleStatusV2ReturnObject(new \StructType\GetVehicleStatusV2ReturnObject()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleStatusJSON operation/method
 */
if ($get->GetVehicleStatusJSON(new \StructType\GetVehicleStatusJSON()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleAlarmStatus operation/method
 */
if ($get->GetVehicleAlarmStatus(new \StructType\GetVehicleAlarmStatus()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleAlarmStatusReturnObject operation/method
 */
if ($get->GetVehicleAlarmStatusReturnObject(new \StructType\GetVehicleAlarmStatusReturnObject()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleAlarmStatusJson operation/method
 */
if ($get->GetVehicleAlarmStatusJson(new \StructType\GetVehicleAlarmStatusJson()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleAlarmStatusV2 operation/method
 */
if ($get->GetVehicleAlarmStatusV2(new \StructType\GetVehicleAlarmStatusV2()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetVehicleAlarmStatusV2ReturnObject operation/method
 */
if ($get->GetVehicleAlarmStatusV2ReturnObject(new \StructType\GetVehicleAlarmStatusV2ReturnObject()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Samples for General ServiceType
 */
$general = new \ServiceType\General($options);
/**
 * Sample call for GeneralReport operation/method
 */
if ($general->GeneralReport(new \StructType\GeneralReport()) !== false) {
    print_r($general->getResult());
} else {
    print_r($general->getLastError());
}
/**
 * Sample call for GeneralReportReturnObject operation/method
 */
if ($general->GeneralReportReturnObject(new \StructType\GeneralReportReturnObject()) !== false) {
    print_r($general->getResult());
} else {
    print_r($general->getLastError());
}
/**
 * Sample call for GeneralReport2 operation/method
 */
if ($general->GeneralReport2(new \StructType\GeneralReport2()) !== false) {
    print_r($general->getResult());
} else {
    print_r($general->getLastError());
}
/**
 * Sample call for GeneralReport2ReturnObject operation/method
 */
if ($general->GeneralReport2ReturnObject(new \StructType\GeneralReport2ReturnObject()) !== false) {
    print_r($general->getResult());
} else {
    print_r($general->getLastError());
}
/**
 * Sample call for GeneralReportWithDistance operation/method
 */
if ($general->GeneralReportWithDistance(new \StructType\GeneralReportWithDistance()) !== false) {
    print_r($general->getResult());
} else {
    print_r($general->getLastError());
}
/**
 * Sample call for GeneralReportWithDistanceReturnObject operation/method
 */
if ($general->GeneralReportWithDistanceReturnObject(new \StructType\GeneralReportWithDistanceReturnObject()) !== false) {
    print_r($general->getResult());
} else {
    print_r($general->getLastError());
}
/**
 * Samples for User ServiceType
 */
$user = new \ServiceType\User($options);
/**
 * Sample call for UserLoginReport operation/method
 */
if ($user->UserLoginReport(new \StructType\UserLoginReport()) !== false) {
    print_r($user->getResult());
} else {
    print_r($user->getLastError());
}
/**
 * Sample call for UserLoginReportReturnObject operation/method
 */
if ($user->UserLoginReportReturnObject(new \StructType\UserLoginReportReturnObject()) !== false) {
    print_r($user->getResult());
} else {
    print_r($user->getLastError());
}
/**
 * Samples for Fuel ServiceType
 */
$fuel = new \ServiceType\Fuel($options);
/**
 * Sample call for FuelConsumptionReport operation/method
 */
if ($fuel->FuelConsumptionReport(new \StructType\FuelConsumptionReport()) !== false) {
    print_r($fuel->getResult());
} else {
    print_r($fuel->getLastError());
}
/**
 * Sample call for FuelConsumptionReportReturnObject operation/method
 */
if ($fuel->FuelConsumptionReportReturnObject(new \StructType\FuelConsumptionReportReturnObject()) !== false) {
    print_r($fuel->getResult());
} else {
    print_r($fuel->getLastError());
}
/**
 * Samples for Parallel ServiceType
 */
$parallel = new \ServiceType\Parallel($options);
/**
 * Sample call for ParallelTimingReport operation/method
 */
if ($parallel->ParallelTimingReport(new \StructType\ParallelTimingReport()) !== false) {
    print_r($parallel->getResult());
} else {
    print_r($parallel->getLastError());
}
/**
 * Sample call for ParallelTimingReportReturnObject operation/method
 */
if ($parallel->ParallelTimingReportReturnObject(new \StructType\ParallelTimingReportReturnObject()) !== false) {
    print_r($parallel->getResult());
} else {
    print_r($parallel->getLastError());
}
/**
 * Samples for Total ServiceType
 */
$total = new \ServiceType\Total($options);
/**
 * Sample call for TotalPauseTime operation/method
 */
if ($total->TotalPauseTime(new \StructType\TotalPauseTime()) !== false) {
    print_r($total->getResult());
} else {
    print_r($total->getLastError());
}
/**
 * Sample call for TotalIdlingTime operation/method
 */
if ($total->TotalIdlingTime(new \StructType\TotalIdlingTime()) !== false) {
    print_r($total->getResult());
} else {
    print_r($total->getLastError());
}
/**
 * Sample call for TotalRunningTime operation/method
 */
if ($total->TotalRunningTime(new \StructType\TotalRunningTime()) !== false) {
    print_r($total->getResult());
} else {
    print_r($total->getLastError());
}
/**
 * Samples for Contact ServiceType
 */
$contact = new \ServiceType\Contact($options);
/**
 * Sample call for ContactAlarm operation/method
 */
if ($contact->ContactAlarm(new \StructType\ContactAlarm()) !== false) {
    print_r($contact->getResult());
} else {
    print_r($contact->getLastError());
}
/**
 * Sample call for ContactAlarmReturnObject operation/method
 */
if ($contact->ContactAlarmReturnObject(new \StructType\ContactAlarmReturnObject()) !== false) {
    print_r($contact->getResult());
} else {
    print_r($contact->getLastError());
}
/**
 * Samples for Ignition ServiceType
 */
$ignition = new \ServiceType\Ignition($options);
/**
 * Sample call for IgnitionAlarmReturnObject operation/method
 */
if ($ignition->IgnitionAlarmReturnObject(new \StructType\IgnitionAlarmReturnObject()) !== false) {
    print_r($ignition->getResult());
} else {
    print_r($ignition->getLastError());
}
/**
 * Sample call for IgnitionDurationReport operation/method
 */
if ($ignition->IgnitionDurationReport(new \StructType\IgnitionDurationReport()) !== false) {
    print_r($ignition->getResult());
} else {
    print_r($ignition->getLastError());
}
/**
 * Sample call for IgnitionDurationReportReturnObject operation/method
 */
if ($ignition->IgnitionDurationReportReturnObject(new \StructType\IgnitionDurationReportReturnObject()) !== false) {
    print_r($ignition->getResult());
} else {
    print_r($ignition->getLastError());
}
/**
 * Samples for Idling ServiceType
 */
$idling = new \ServiceType\Idling($options);
/**
 * Sample call for IdlingDurationReport operation/method
 */
if ($idling->IdlingDurationReport(new \StructType\IdlingDurationReport()) !== false) {
    print_r($idling->getResult());
} else {
    print_r($idling->getLastError());
}
/**
 * Sample call for IdlingDurationReportReturnObject operation/method
 */
if ($idling->IdlingDurationReportReturnObject(new \StructType\IdlingDurationReportReturnObject()) !== false) {
    print_r($idling->getResult());
} else {
    print_r($idling->getLastError());
}
/**
 * Sample call for IdlingAlarm operation/method
 */
if ($idling->IdlingAlarm(new \StructType\IdlingAlarm()) !== false) {
    print_r($idling->getResult());
} else {
    print_r($idling->getLastError());
}
/**
 * Sample call for IdlingAlarmReturnObject operation/method
 */
if ($idling->IdlingAlarmReturnObject(new \StructType\IdlingAlarmReturnObject()) !== false) {
    print_r($idling->getResult());
} else {
    print_r($idling->getLastError());
}
/**
 * Samples for Pause ServiceType
 */
$pause = new \ServiceType\Pause($options);
/**
 * Sample call for PauseDurationReport operation/method
 */
if ($pause->PauseDurationReport(new \StructType\PauseDurationReport()) !== false) {
    print_r($pause->getResult());
} else {
    print_r($pause->getLastError());
}
/**
 * Sample call for PauseDurationReportReturnObject operation/method
 */
if ($pause->PauseDurationReportReturnObject(new \StructType\PauseDurationReportReturnObject()) !== false) {
    print_r($pause->getResult());
} else {
    print_r($pause->getLastError());
}
/**
 * Sample call for PauseDurationReport2 operation/method
 */
if ($pause->PauseDurationReport2(new \StructType\PauseDurationReport2()) !== false) {
    print_r($pause->getResult());
} else {
    print_r($pause->getLastError());
}
/**
 * Sample call for PauseDurationReport2ReturnObject operation/method
 */
if ($pause->PauseDurationReport2ReturnObject(new \StructType\PauseDurationReport2ReturnObject()) !== false) {
    print_r($pause->getResult());
} else {
    print_r($pause->getLastError());
}
/**
 * Sample call for PauseAlarm operation/method
 */
if ($pause->PauseAlarm(new \StructType\PauseAlarm()) !== false) {
    print_r($pause->getResult());
} else {
    print_r($pause->getLastError());
}
/**
 * Sample call for PauseAlarmReturnObject operation/method
 */
if ($pause->PauseAlarmReturnObject(new \StructType\PauseAlarmReturnObject()) !== false) {
    print_r($pause->getResult());
} else {
    print_r($pause->getLastError());
}
/**
 * Sample call for PauseAlarm2 operation/method
 */
if ($pause->PauseAlarm2(new \StructType\PauseAlarm2()) !== false) {
    print_r($pause->getResult());
} else {
    print_r($pause->getLastError());
}
/**
 * Sample call for PauseAlarm2ReturnObject operation/method
 */
if ($pause->PauseAlarm2ReturnObject(new \StructType\PauseAlarm2ReturnObject()) !== false) {
    print_r($pause->getResult());
} else {
    print_r($pause->getLastError());
}
/**
 * Samples for Region ServiceType
 */
$region = new \ServiceType\Region($options);
/**
 * Sample call for RegionAlarm operation/method
 */
if ($region->RegionAlarm(new \StructType\RegionAlarm()) !== false) {
    print_r($region->getResult());
} else {
    print_r($region->getLastError());
}
/**
 * Sample call for RegionAlarmReturnObject operation/method
 */
if ($region->RegionAlarmReturnObject(new \StructType\RegionAlarmReturnObject()) !== false) {
    print_r($region->getResult());
} else {
    print_r($region->getLastError());
}
/**
 * Sample call for RegionTravelReport operation/method
 */
if ($region->RegionTravelReport(new \StructType\RegionTravelReport()) !== false) {
    print_r($region->getResult());
} else {
    print_r($region->getLastError());
}
/**
 * Sample call for RegionTravelReportReturnObject operation/method
 */
if ($region->RegionTravelReportReturnObject(new \StructType\RegionTravelReportReturnObject()) !== false) {
    print_r($region->getResult());
} else {
    print_r($region->getLastError());
}
/**
 * Samples for Can ServiceType
 */
$can = new \ServiceType\Can($options);
/**
 * Sample call for CanBusOBDFuelInfoReport operation/method
 */
if ($can->CanBusOBDFuelInfoReport(new \StructType\CanBusOBDFuelInfoReport()) !== false) {
    print_r($can->getResult());
} else {
    print_r($can->getLastError());
}
/**
 * Sample call for CanBusOBDFuelInfoReportReturnObject operation/method
 */
if ($can->CanBusOBDFuelInfoReportReturnObject(new \StructType\CanBusOBDFuelInfoReportReturnObject()) !== false) {
    print_r($can->getResult());
} else {
    print_r($can->getLastError());
}
/**
 * Sample call for CanBusOBDOdometerInfoReport operation/method
 */
if ($can->CanBusOBDOdometerInfoReport(new \StructType\CanBusOBDOdometerInfoReport()) !== false) {
    print_r($can->getResult());
} else {
    print_r($can->getLastError());
}
/**
 * Sample call for CanBusOBDOdometerInfoReportReturnObject operation/method
 */
if ($can->CanBusOBDOdometerInfoReportReturnObject(new \StructType\CanBusOBDOdometerInfoReportReturnObject()) !== false) {
    print_r($can->getResult());
} else {
    print_r($can->getLastError());
}
/**
 * Sample call for CanBusOBDGeneralReport operation/method
 */
if ($can->CanBusOBDGeneralReport(new \StructType\CanBusOBDGeneralReport()) !== false) {
    print_r($can->getResult());
} else {
    print_r($can->getLastError());
}
/**
 * Sample call for CanBusOBDGeneralReportReturnObject operation/method
 */
if ($can->CanBusOBDGeneralReportReturnObject(new \StructType\CanBusOBDGeneralReportReturnObject()) !== false) {
    print_r($can->getResult());
} else {
    print_r($can->getLastError());
}
/**
 * Sample call for CanBusFuelInfo operation/method
 */
if ($can->CanBusFuelInfo(new \StructType\CanBusFuelInfo()) !== false) {
    print_r($can->getResult());
} else {
    print_r($can->getLastError());
}
/**
 * Sample call for CanBusFuelInfoReturnObject operation/method
 */
if ($can->CanBusFuelInfoReturnObject(new \StructType\CanBusFuelInfoReturnObject()) !== false) {
    print_r($can->getResult());
} else {
    print_r($can->getLastError());
}
/**
 * Sample call for CanBusEmptyInfo operation/method
 */
if ($can->CanBusEmptyInfo(new \StructType\CanBusEmptyInfo()) !== false) {
    print_r($can->getResult());
} else {
    print_r($can->getLastError());
}
/**
 * Sample call for CanBusEmptyInfoReturnObject operation/method
 */
if ($can->CanBusEmptyInfoReturnObject(new \StructType\CanBusEmptyInfoReturnObject()) !== false) {
    print_r($can->getResult());
} else {
    print_r($can->getLastError());
}
/**
 * Samples for Out ServiceType
 */
$out = new \ServiceType\Out($options);
/**
 * Sample call for OutRegionTravelReport operation/method
 */
if ($out->OutRegionTravelReport(new \StructType\OutRegionTravelReport()) !== false) {
    print_r($out->getResult());
} else {
    print_r($out->getLastError());
}
/**
 * Sample call for OutRegionTravelReportReturnObject operation/method
 */
if ($out->OutRegionTravelReportReturnObject(new \StructType\OutRegionTravelReportReturnObject()) !== false) {
    print_r($out->getResult());
} else {
    print_r($out->getLastError());
}
/**
 * Samples for Speed ServiceType
 */
$speed = new \ServiceType\Speed($options);
/**
 * Sample call for SpeedReport operation/method
 */
if ($speed->SpeedReport(new \StructType\SpeedReport()) !== false) {
    print_r($speed->getResult());
} else {
    print_r($speed->getLastError());
}
/**
 * Sample call for SpeedReportReturnObject operation/method
 */
if ($speed->SpeedReportReturnObject(new \StructType\SpeedReportReturnObject()) !== false) {
    print_r($speed->getResult());
} else {
    print_r($speed->getLastError());
}
/**
 * Sample call for SpeedAlarm operation/method
 */
if ($speed->SpeedAlarm(new \StructType\SpeedAlarm()) !== false) {
    print_r($speed->getResult());
} else {
    print_r($speed->getLastError());
}
/**
 * Sample call for SpeedAlarmReturnObject operation/method
 */
if ($speed->SpeedAlarmReturnObject(new \StructType\SpeedAlarmReturnObject()) !== false) {
    print_r($speed->getResult());
} else {
    print_r($speed->getLastError());
}
/**
 * Sample call for SpeedAlarmV2 operation/method
 */
if ($speed->SpeedAlarmV2(new \StructType\SpeedAlarmV2()) !== false) {
    print_r($speed->getResult());
} else {
    print_r($speed->getLastError());
}
/**
 * Sample call for SpeedAlarmV2ReturnObject operation/method
 */
if ($speed->SpeedAlarmV2ReturnObject(new \StructType\SpeedAlarmV2ReturnObject()) !== false) {
    print_r($speed->getResult());
} else {
    print_r($speed->getLastError());
}
/**
 * Samples for Temperature ServiceType
 */
$temperature = new \ServiceType\Temperature($options);
/**
 * Sample call for TemperatureAlarm operation/method
 */
if ($temperature->TemperatureAlarm(new \StructType\TemperatureAlarm()) !== false) {
    print_r($temperature->getResult());
} else {
    print_r($temperature->getLastError());
}
/**
 * Sample call for TemperatureAlarmReturnObject operation/method
 */
if ($temperature->TemperatureAlarmReturnObject(new \StructType\TemperatureAlarmReturnObject()) !== false) {
    print_r($temperature->getResult());
} else {
    print_r($temperature->getLastError());
}
/**
 * Samples for Motion ServiceType
 */
$motion = new \ServiceType\Motion($options);
/**
 * Sample call for MotionAlarm operation/method
 */
if ($motion->MotionAlarm(new \StructType\MotionAlarm()) !== false) {
    print_r($motion->getResult());
} else {
    print_r($motion->getLastError());
}
/**
 * Sample call for MotionAlarmReturnObject operation/method
 */
if ($motion->MotionAlarmReturnObject(new \StructType\MotionAlarmReturnObject()) !== false) {
    print_r($motion->getResult());
} else {
    print_r($motion->getLastError());
}
/**
 * Samples for Emergency ServiceType
 */
$emergency = new \ServiceType\Emergency($options);
/**
 * Sample call for EmergencyAlarm operation/method
 */
if ($emergency->EmergencyAlarm(new \StructType\EmergencyAlarm()) !== false) {
    print_r($emergency->getResult());
} else {
    print_r($emergency->getLastError());
}
/**
 * Sample call for EmergencyAlarmReturnObject operation/method
 */
if ($emergency->EmergencyAlarmReturnObject(new \StructType\EmergencyAlarmReturnObject()) !== false) {
    print_r($emergency->getResult());
} else {
    print_r($emergency->getLastError());
}
/**
 * Samples for Door ServiceType
 */
$door = new \ServiceType\Door($options);
/**
 * Sample call for DoorAlarm operation/method
 */
if ($door->DoorAlarm(new \StructType\DoorAlarm()) !== false) {
    print_r($door->getResult());
} else {
    print_r($door->getLastError());
}
/**
 * Sample call for DoorAlarmReturnObject operation/method
 */
if ($door->DoorAlarmReturnObject(new \StructType\DoorAlarmReturnObject()) !== false) {
    print_r($door->getResult());
} else {
    print_r($door->getLastError());
}
/**
 * Sample call for DoorAlarm2 operation/method
 */
if ($door->DoorAlarm2(new \StructType\DoorAlarm2()) !== false) {
    print_r($door->getResult());
} else {
    print_r($door->getLastError());
}
/**
 * Sample call for DoorAlarm2ReturnObject operation/method
 */
if ($door->DoorAlarm2ReturnObject(new \StructType\DoorAlarm2ReturnObject()) !== false) {
    print_r($door->getResult());
} else {
    print_r($door->getLastError());
}
/**
 * Samples for Periodic ServiceType
 */
$periodic = new \ServiceType\Periodic($options);
/**
 * Sample call for PeriodicRegionTrackingReport operation/method
 */
if ($periodic->PeriodicRegionTrackingReport(new \StructType\PeriodicRegionTrackingReport()) !== false) {
    print_r($periodic->getResult());
} else {
    print_r($periodic->getLastError());
}
/**
 * Sample call for PeriodicRegionTrackingReportReturnObject operation/method
 */
if ($periodic->PeriodicRegionTrackingReportReturnObject(new \StructType\PeriodicRegionTrackingReportReturnObject()) !== false) {
    print_r($periodic->getResult());
} else {
    print_r($periodic->getLastError());
}
/**
 * Samples for Device ServiceType
 */
$device = new \ServiceType\Device($options);
/**
 * Sample call for DevicePoweredUpAlarm operation/method
 */
if ($device->DevicePoweredUpAlarm(new \StructType\DevicePoweredUpAlarm()) !== false) {
    print_r($device->getResult());
} else {
    print_r($device->getLastError());
}
/**
 * Sample call for DevicePoweredUpAlarmReturnObject operation/method
 */
if ($device->DevicePoweredUpAlarmReturnObject(new \StructType\DevicePoweredUpAlarmReturnObject()) !== false) {
    print_r($device->getResult());
} else {
    print_r($device->getLastError());
}
/**
 * Samples for Building ServiceType
 */
$building = new \ServiceType\Building($options);
/**
 * Sample call for BuildingListReport operation/method
 */
if ($building->BuildingListReport(new \StructType\BuildingListReport()) !== false) {
    print_r($building->getResult());
} else {
    print_r($building->getLastError());
}
/**
 * Sample call for BuildingListReportReturnObject operation/method
 */
if ($building->BuildingListReportReturnObject(new \StructType\BuildingListReportReturnObject()) !== false) {
    print_r($building->getResult());
} else {
    print_r($building->getLastError());
}
/**
 * Samples for Technical ServiceType
 */
$technical = new \ServiceType\Technical($options);
/**
 * Sample call for TechnicalPerformanceReport operation/method
 */
if ($technical->TechnicalPerformanceReport(new \StructType\TechnicalPerformanceReport()) !== false) {
    print_r($technical->getResult());
} else {
    print_r($technical->getLastError());
}
/**
 * Sample call for TechnicalPerformanceReportReturnObject operation/method
 */
if ($technical->TechnicalPerformanceReportReturnObject(new \StructType\TechnicalPerformanceReportReturnObject()) !== false) {
    print_r($technical->getResult());
} else {
    print_r($technical->getLastError());
}
